Update a culture
curl --request PUT \
--url {protocol}://{host}:{port}/culture/{culture_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"council_sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"results_instructions": "<string>",
"duration": 123,
"tone": "<string>",
"intro_question": "<string>"
}
'import requests
url = "{protocol}://{host}:{port}/culture/{culture_id}"
payload = {
"council_sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"results_instructions": "<string>",
"duration": 123,
"tone": "<string>",
"intro_question": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
council_sage_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
instructions: '<string>',
results_instructions: '<string>',
duration: 123,
tone: '<string>',
intro_question: '<string>'
})
};
fetch('{protocol}://{host}:{port}/culture/{culture_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}
Culture
Update a culture
Updates an existing culture record. Currently a stub endpoint.
PUT
/
culture
/
{culture_id}
Error
A valid request URL is required to generate request examples{}
Authorizations
User JWT token passed in Authorization header
Headers
Required JWT permission: council_sage (informational only -- enforced server-side)
Path Parameters
UUID of the culture record
Body
application/json
Response
Culture updated
The response is of type object.
⌘I